const expect = require('chai').expect
const Logger = require('../logger/defaultLogger')
const fs = require('fs')


const checkFile = (filePath)=>{
    return new Promise((resolve, reject) => {
        fs.exists(filePath, (result) => {
            if (result) return resolve(true)
            return resolve(false)
            
        })
    }).catch(err => { return err })
} 
const del = (filePath) => {
    return new Promise((resolve) => {
        fs.unlink(filePath, err => {
            if (err) return resolve(err)
            return resolve()
        })
    })
}
before(() => {
    let log = new Logger({ paths: { error: './test/t.err.log', warning: './test/t.warn.log', info: './test/t.info.log' } })
})

after(() => {
    const files = [del('./test/t.err.log'), del('./test/t.warn.log'), del('./test/t.info.log')]
    Promise.all(files)
})

describe('ezcodin-logger.js test:', () => {
    it('Should create error log file"', function () {
        return checkFile('./test/t.err.log').then(result => expect(result).to.equal(true))
    })
    it('Should create warning log file"', function () {
        return checkFile('./test/t.warn.log').then(result => expect(result).to.equal(true))
    })
    it('Should create info log file"', function () {
        return checkFile('./test/t.info.log').then(result => expect(result).to.equal(true))
    })
})